[X2Go-Commits] [maintenancescripts] 01/01: git/hooks/x2go-post-receive-tag-pending: stop trying to process revisions that do not feature a debian/changelog file.

git-admin at x2go.org git-admin at x2go.org
Tue Mar 3 14:46:42 CET 2020


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch master
in repository maintenancescripts.

commit 21569ee256929ff5557ce4a0051f233c62dcfdb6
Author: Mihai Moldovan <ionic at ionic.de>
Date:   Tue Mar 3 14:45:54 2020 +0100

    git/hooks/x2go-post-receive-tag-pending: stop trying to process revisions that do not feature a debian/changelog file.
---
 git/hooks/x2go-post-receive-tag-pending | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/git/hooks/x2go-post-receive-tag-pending b/git/hooks/x2go-post-receive-tag-pending
index ba84e25..3961585 100755
--- a/git/hooks/x2go-post-receive-tag-pending
+++ b/git/hooks/x2go-post-receive-tag-pending
@@ -160,6 +160,11 @@ while read oldrev newrev refname; do
   ${git_rev_list[@]} | \
   while read rev; do
     d="${tempdir}/${rev}.diff"
+    # Check if this branch has a debian/changelog file to begin with and skip processing if there's
+    # none.
+    if ! git cat-file -e "${rev}:debian/changelog" 2>/dev/null; then
+      continue
+    fi
     git show "${rev}" -- "debian/changelog" >"${d}"
     version=$(get_version "${rev}" | sed -re 's/[0-9]+://' | cut -d"-" -f1)
     bugs=$(get_bugs "${rev}")

--
Alioth's /home/x2go-admin/maintenancescripts/git/hooks/post-receive-email on /srv/git/code.x2go.org/maintenancescripts.git


More information about the x2go-commits mailing list